# Type alias ToMappingAndDepth<M, S>

ToMappingAndDepth<M, S>: TransformMapping<M, S extends undefined
? void
: S> extends [infer TM extends MappingEntries, infer D extends Depth[number]]
? [ObjectFromMappingEntries<TM, D>, D]
: never

#### Type Parameters

- #### M extends MappingEntries

- #### S extends Shape | void | undefined

- Defined in core/base/dist/esm/utils/mapping.d.ts:57

Generated using TypeDoc